// BounDial.cpp : implementation file
//

#include "stdafx.h"
#include "BemInp.h"
#include "BounDial.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBounDial dialog


CBounDial::CBounDial(CWnd* pParent /*=NULL*/)
	: CDialog(CBounDial::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBounDial)
	m_coef = 0.0f;
	m_deriv = 0.0f;
	m_dist = 0.0f;
	m_head = _T("");
	m_kind = -1;
	m_poten = 0.0f;
	//}}AFX_DATA_INIT
}


void CBounDial::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBounDial)
	DDX_Text(pDX, IDC_COEF, m_coef);
	DDX_Text(pDX, IDC_DERIV, m_deriv);
	DDX_Text(pDX, IDC_DIST, m_dist);
	DDX_Text(pDX, IDC_HEAD, m_head);
	DDX_Radio(pDX, IDC_KIND, m_kind);
	DDX_Text(pDX, IDC_POTEN, m_poten);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBounDial, CDialog)
	//{{AFX_MSG_MAP(CBounDial)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBounDial message handlers
